Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene.analysis
Class AbstractBookAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.crosswire.jsword.index.lucene.analysis.AbstractBookAnalyzer

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  ArabicLuceneAnalyzer, ChineseLuceneAnalyzer, ConfigurableSnowballAnalyzer, CzechLuceneAnalyzer, EnglishLuceneAnalyzer, GermanLuceneAnalyzer, GreekLuceneAnalyzer, KeyAnalyzer, MorphologyAnalyzer, PersianLuceneAnalyzer, SimpleLuceneAnalyzer, SmartChineseLuceneAnalyzer, StrongsNumberAnalyzer, ThaiLuceneAnalyzer, XRefAnalyzer

    public abstract class AbstractBookAnalyzer

extends org.apache.lucene.analysis.Analyzer

Base class for Analyzers. Note: All analyzers configured in AnalyzerFactory.properties should be of this type

Author:
  sijo cherian, DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Field Summary
`protected Book` | `book` The book against which analysis is performed.
`protected boolean` | `doStemming`
`protected boolean` | `doStopWords`
`protected Set<?>` | `stopSet`

Fields inherited from class org.apache.lucene.analysis.Analyzer
`overridesTokenStreamMethod`

Constructor Summary
`AbstractBookAnalyzer()`
`AbstractBookAnalyzer(Book book)`

Method Summary
`Book` | `getBook()`
`boolean` | `getDoStopWords()`
`void` | `setBook(Book newBook)` The book for which analysis is being performed.
`void` | `setDoStemming(boolean stemming)`
`void` | `setDoStopWords(boolean doIt)`
`void` | `setStopWords(Set<?> stopWords)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream, tokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### book

    protected Book book

  The book against which analysis is performed.

### stopSet

    protected Set<?> stopSet

### doStopWords

    protected boolean doStopWords

### doStemming

    protected boolean doStemming

Constructor Detail

### AbstractBookAnalyzer

    public AbstractBookAnalyzer()

### AbstractBookAnalyzer

    public AbstractBookAnalyzer(Book book)

Method Detail

### setBook

    public void setBook(Book newBook)

  The book for which analysis is being performed.

  Parameters:
    `newBook` -

### getBook

    public Book getBook()

  Returns:
    the book for which analysis is being performed.

### setDoStopWords

    public void setDoStopWords(boolean doIt)

### getDoStopWords

    public boolean getDoStopWords()

### setStopWords

    public void setStopWords(Set<?> stopWords)

### setDoStemming

    public void setDoStemming(boolean stemming)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD